#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 9. General Libraries

- Prev

  liblinear-248

- Next

  libnvme-1.11.1

- Up
- Home

# libmbim-1.26.4

## Introduction to libmbim

The libmbim package contains a GLib-based library for talking to WWAN modems and devices which speak the Mobile Interface Broadband Model (MBIM) protocol.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://www.freedesktop.org/software/libmbim/libmbim-1.26.4.tar.xz

- Download MD5 sum: 58dea20cad346f31d2873b68385a9973

- Download size: 553 KB

- Estimated disk space required: 33 MB (with tests)

- Estimated build time: 0.2 SBU (with tests)

### libmbim Dependencies

#### Recommended

GLib-2.82.5 (with GObject Introspection)

#### Optional

GTK-Doc-1.34.0 and help2man

## Installation of libmbim

Install libmbim by running the following commands:

    ./configure --prefix=/usr --disable-static &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--enable-gtk-doc`: Use this parameter if GTK-Doc is installed and you wish to rebuild and install the API documentation.

## Contents

Installed Programs: mbimcli and mbim-network
Installed Libraries: libmbim-glib.so
Installed Directories: /usr/include/libmbim-glib and /usr/share/gtk-doc/html/libmbim-glib

### Short Descriptions

mbimcli | is an utility used to control MBIM devices
mbim-network | is an utility used for simple network management of MBIM devices
`libmbim-glib.so` | contains API functions for talking to WWAN modems and devices which speak the Mobile Interface Broadband Model (MBIM) protocol

- Prev

  liblinear-248

- Next

  libnvme-1.11.1

- Up
- Home